Author Topic: MULTIPOLYLINES and Auto fill with hatch ANSI37  (Read 2004 times)

0 Members and 1 Guest are viewing this topic.

qhabz

  • Mosquito
  • Posts: 2
MULTIPOLYLINES and Auto fill with hatch ANSI37
« on: September 20, 2018, 05:27:36 AM »
Hi, anyone does a lisp with MULTIPOLYLINES and automatically fill with hatch ANSI37. I've got a lisp before MPline (credit to the owner) but i want to add an automatic hatch fill at the end of the command. This is for blockwork walls. TIA

qhabz

  • Mosquito
  • Posts: 2
Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
« Reply #1 on: September 23, 2018, 07:52:09 AM »
i've sorted it out...   thanks :mrgreen:

ahsattarian

  • Newt
  • Posts: 112
Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
« Reply #2 on: December 29, 2020, 01:11:50 AM »
try this :



Code - Auto/Visual Lisp: [Select]
  1. (defun c:a ()
  2.   (setq ss (ssget))
  3.   (setq n (sslength ss))
  4.   (setq k -1)
  5.   (repeat n
  6.     (setq k (1+ k))
  7.     (setq s (ssname ss k))
  8.     (command "bhatch" "select" s "" "")
  9.   )
  10.   (princ)
  11. )




RolandOrzabal

  • Newt
  • Posts: 86
  • "memories fade but the scars still linger"
Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
« Reply #3 on: January 25, 2021, 09:03:17 PM »
i've sorted it out...   thanks :mrgreen:

Hi interested in this can you share how you managed to do this?
"memories fade but the scars still linger"

RlordCAD

  • Mosquito
  • Posts: 2
Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
« Reply #4 on: April 01, 2021, 11:36:45 PM »
I thinks at last this is the right LSP for me.
Can i know how to do MultiPolylines?